Test whether a symbol is in a ring

09 Nov 2015 15:39 - John Abbott

Status: New Start date: 09 Nov 2015

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.20 hour

Description

Should there be a function which tests whether a given symbol is in given ring?

I am thinking of "recursive" semantics: check whether the symbol is an indet, if not check whether it is in the coeff ring.

What should be the type of the result?  Boolean?

Related issues:

Related to CoCoALib - Slug #881: ReadExpr is too slow on large polys Closed 09 May 2016

History

#1 - 09 Nov 2015 15:46 - John Abbott

Currently this operation is implemented in a hidden way inside RingBase::myNew(symbol).

The implementation there needs to be improved (as it can be slow when the ring contains many symbols); it also creates a "wasteful" copy of the list

of all symbols in the ring.

Current the pseudo-ctor for a RingElem from a symbol produces either a RingElem or throws an exception.  Note that the RingElem produced could

be zero (or almost any other value): consider the image of x in the quotient ring ZZ[x,y]/(x).

Should the new function return a boolean?

#2 - 23 Mar 2016 15:30 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-0.99550 spring 2017

#3 - 02 Aug 2016 11:39 - John Abbott

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#4 - 06 Nov 2017 14:10 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#5 - 06 Nov 2017 14:11 - John Abbott

- Related to Slug #881: ReadExpr is too slow on large polys added

#6 - 12 Jun 2018 18:29 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#7 - 23 Sep 2019 11:50 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700
#8 - 09 Jan 2020 13:14 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#9 - 03 Nov 2021 20:07 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#10 - 07 Mar 2024 21:36 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
